package cn.com.tenlion.configcolumn.pojo.dtos.configcolumngroup;

import cn.com.tenlion.configcolumn.pojo.dtos.configcolumn.ConfigColumnDTO;
import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: ConfigColumnGroupDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-26 13:59:22
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnGroupDTO {

    @ApiModelProperty(name = "configColumnGroupId", value = "栏目组")
    private String configColumnGroupId;
    @ApiModelProperty(name = "configColumnGroupCode", value = "栏目组编号")
    private String configColumnGroupCode;
    @ApiModelProperty(name = "configColumnGroupName", value = "栏目组名称")
    private String configColumnGroupName;
    @ApiModelProperty(name = "configColumnGroupPhoto", value = "栏目组图标")
    private String configColumnGroupPhoto;
    @ApiModelProperty(name = "configColumnGroupDirection", value = "栏目组排列方式1:横向,2:纵向")
    private String configColumnGroupDirection;
    @ApiModelProperty(name = "configColumnGroupStatus", value = "栏目组显示状态1:显示,0:隐藏")
    private String configColumnGroupStatus;
    @ApiModelProperty(name = "configColumnGroupRemark", value = "栏目组说明")
    private String configColumnGroupRemark;
    @ApiModelProperty(name = "configColumnList", value = "栏目组下的栏目")
    private List<ConfigColumnDTO> configColumnList;
    @ApiModelProperty(name = "configColumnGroupTargetMode", value = "栏目组跳转")
    private String configColumnGroupTargetMode;
    @ApiModelProperty(name = "configColumnGroupTargetUrl", value = "栏目组跳转地址")
    private String configColumnGroupTargetUrl;
    @ApiModelProperty(name = "configColumnGroupOrder", value = "栏目组排序")
    private Integer configColumnGroupOrder = 0;
    @ApiModelProperty(name = "configColumnGroupStyle", value = "引导页样式")
    private String configColumnGroupStyle;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getConfigColumnGroupStyle() {
        return configColumnGroupStyle == null ? "" : configColumnGroupStyle;
    }

    public void setConfigColumnGroupStyle(String configColumnGroupStyle) {
        this.configColumnGroupStyle = configColumnGroupStyle;
    }

    public String getConfigColumnGroupTargetMode() {
        return configColumnGroupTargetMode == null ? "" : configColumnGroupTargetMode;
    }

    public void setConfigColumnGroupTargetMode(String configColumnGroupTargetMode) {
        this.configColumnGroupTargetMode = configColumnGroupTargetMode;
    }

    public String getConfigColumnGroupTargetUrl() {
        return configColumnGroupTargetUrl == null ? "" : configColumnGroupTargetUrl;
    }

    public void setConfigColumnGroupTargetUrl(String configColumnGroupTargetUrl) {
        this.configColumnGroupTargetUrl = configColumnGroupTargetUrl;
    }

    public Integer getConfigColumnGroupOrder() {
        return configColumnGroupOrder;
    }

    public void setConfigColumnGroupOrder(Integer configColumnGroupOrder) {
        this.configColumnGroupOrder = configColumnGroupOrder;
    }

    public List<ConfigColumnDTO> getConfigColumnList() {
        if (configColumnList == null) {
            return new ArrayList<>();
        }
        return configColumnList;
    }

    public void setConfigColumnList(List<ConfigColumnDTO> configColumnList) {
        this.configColumnList = configColumnList;
    }

    public String getConfigColumnGroupId() {
        return configColumnGroupId == null ? "" : configColumnGroupId.trim();
    }

    public void setConfigColumnGroupId(String configColumnGroupId) {
        this.configColumnGroupId = configColumnGroupId;
    }

    public String getConfigColumnGroupCode() {
        return configColumnGroupCode == null ? "" : configColumnGroupCode.trim();
    }

    public void setConfigColumnGroupCode(String configColumnGroupCode) {
        this.configColumnGroupCode = configColumnGroupCode;
    }

    public String getConfigColumnGroupName() {
        return configColumnGroupName == null ? "" : configColumnGroupName.trim();
    }

    public void setConfigColumnGroupName(String configColumnGroupName) {
        this.configColumnGroupName = configColumnGroupName;
    }

    public String getConfigColumnGroupPhoto() {
        return configColumnGroupPhoto == null ? "" : configColumnGroupPhoto.trim();
    }

    public void setConfigColumnGroupPhoto(String configColumnGroupPhoto) {
        this.configColumnGroupPhoto = configColumnGroupPhoto;
    }

    public String getConfigColumnGroupDirection() {
        return configColumnGroupDirection == null ? "" : configColumnGroupDirection.trim();
    }

    public void setConfigColumnGroupDirection(String configColumnGroupDirection) {
        this.configColumnGroupDirection = configColumnGroupDirection;
    }

    public String getConfigColumnGroupStatus() {
        return configColumnGroupStatus == null ? "" : configColumnGroupStatus.trim();
    }

    public void setConfigColumnGroupStatus(String configColumnGroupStatus) {
        this.configColumnGroupStatus = configColumnGroupStatus;
    }

    public String getConfigColumnGroupRemark() {
        return configColumnGroupRemark == null ? "" : configColumnGroupRemark.trim();
    }

    public void setConfigColumnGroupRemark(String configColumnGroupRemark) {
        this.configColumnGroupRemark = configColumnGroupRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
